
function Menue
{
    [reflection.assembly]::loadwithpartialname("System.Drawing") | Out-Null
    [reflection.assembly]::loadwithpartialname("System.Windows.Forms") | Out-Null

    $Fenster = New-Object System.Windows.Forms.OpenFileDialog
    $Fenster.Title = "Datei öffnen"
    $Fenster.Filter = ".txt Dateien (*.txt)|*.txt" #Anzeigename|Dateityp
    #$Fenster.ShowHelp = $true # Dadurch sieht der Explorer aus wie von Win 98 und die "Hilfe" funktioniert nicht
    $Fenster.ShowDialog()
    $Pfad = $Fenster.FileName
    return $Pfad
}

$Pfad = Menue
Write-Host "Rückgabe: " $Pfad